// api/search/index.js
import { getPosts } from "@lib/api";
import { NextResponse } from "next/server";

export async function GET(request) {
  const { searchParams } = new URL(request.url);
  const page = searchParams.get("page");
  const search = searchParams.get("search");
  const { blogs } = await getPosts("posts", 1);
  const filterBlog = blogs.filter((e) => {
    return e.title.toLowerCase().includes(search.toLowerCase());
  });
  let pageNo = filterBlog.length > 6 ? page : 1;
  const itemsPerPage = 6;
  // Calculate the start and end indices for the current page
  const startIndex = (pageNo - 1) * itemsPerPage;
  const endIndex = startIndex + itemsPerPage;
  const slicedData = Array.isArray(filterBlog)
    ? filterBlog.slice(startIndex, endIndex)
    : [];
  const response = { data: slicedData, total: filterBlog.length };

  return NextResponse.json(response);
}
