import BlogLists from "@components/top-level/blog-lists";
import { getPosts } from "@lib/api";
import styles from "./page.module.css";

async function fetchBlogsByTitle(pageNo, search) {
  try {
    const searchResponse = await fetch(
      `http://localhost:3000/api/blogs/?page=${pageNo}&search=${search}`
      // {
      //   next: {
      //     revalidate: 100, //after 100sec
      //   },
      // }
    );
    return await searchResponse.json();
  } catch (err) {
    console.log(er.message);
  }
}

async function fetchBlogs(pageNo) {
  try {
    const response = await getPosts("posts", pageNo);
    return response;
  } catch (err) {
    console.log(err.message);
  }
}

const Home = async ({ searchParams }) => {
  let blogs = [];
  let blogsLength = 0;
  let pageNo = searchParams.page || 1;
  let search = searchParams.search || "";
  let response;
  if (!search) {
    const { data, total } = await fetchBlogs(pageNo);
    response = { data, total: total };
  } else {
    response = await fetchBlogsByTitle(pageNo, search);
  }

  blogs = response.data;
  blogsLength = response.total;
  pageNo = blogsLength > 6 ? pageNo : 1;

  return (
    <div className={styles.container}>
      {blogs?.length ? (
        <BlogLists
          title="Lifestyle"
          description="Lorem ipsum dolor sit amet elit. Id quaerat amet ipsum sunt et quos dolorum."
          blogs={blogs}
          totalBlogLength={Number(blogsLength)}
          currentPage={Number(pageNo)}
        />
      ) : (
        <h2 className="center">No data found</h2>
      )}
    </div>
  );
};

export default Home;
